Index: lemon/graph_writer.h
===================================================================
--- lemon/graph_writer.h	(revision 1435)
+++ lemon/graph_writer.h	(revision 1526)
@@ -34,7 +34,10 @@
   /// \brief The graph writer class.
   ///
-  /// The \c GraphWriter class provides the graph output. To write a graph
-  /// you should first give writing commands for the writer. You can declare
-  /// write command as \c NodeMap or \c EdgeMap writing and labeled Node and
+  /// The \c GraphWriter class provides the graph output. 
+  /// Before you read this documentation it might be useful to read the general
+  /// description of  \ref graph-io-page "Graph Input-Output".
+  /// To write a graph
+  /// you should first give writing commands to the writer. You can declare
+  /// write commands as \c NodeMap or \c EdgeMap writing and labeled Node and
   /// Edge writing.
   ///
@@ -47,5 +50,5 @@
   /// the name of the map and the map object. The NodeMap writing 
   /// command with name "id" should write a unique map because it 
-  /// is regarded as ID map.
+  /// is regarded as ID map (such a map is essential if the graph has edges).
   ///
   /// \code
@@ -70,6 +73,6 @@
   ///
   /// With \c writeNode() and \c writeEdge() functions you can 
-  /// point out Nodes and Edges in the graph. By example, you can 
-  /// write out the source and target of the graph.
+  /// point out Nodes and Edges in the graph. For example, you can 
+  /// write out the source and target of a maximum flow instance.
   ///
   /// \code
@@ -81,5 +84,5 @@
   ///
   /// After you give all write commands you must call the \c run() member
-  /// function, which execute all the writer commands.
+  /// function, which executes all the writing commands.
   ///
   /// \code
@@ -106,5 +109,5 @@
     /// \brief Construct a new GraphWriter.
     ///
-    /// Construct a new GraphWriter. It writes the given graph
+    /// This function constructs a new GraphWriter to write the given graph
     /// to the given stream.
     GraphWriter(std::ostream& _os, const Graph& _graph) 
@@ -118,5 +121,5 @@
     /// \brief Construct a new GraphWriter.
     ///
-    /// Construct a new GraphWriter. It writes into the given graph
+    /// This function constructs a new GraphWriter to write the given graph
     /// to the given file.
     GraphWriter(const std::string& _filename, const Graph& _graph) 
@@ -130,6 +133,6 @@
     /// \brief Construct a new GraphWriter.
     ///
-    /// Construct a new GraphWriter. It writes into the given graph
-    /// to given LemonReader.
+    /// This function constructs a new GraphWriter to write the given graph
+    /// to the given LemonReader.
     GraphWriter(LemonWriter& _writer, const Graph& _graph)
       : writer(_writer), own_writer(false), 
@@ -142,5 +145,5 @@
     /// \brief Destruct the graph writer.
     ///
-    /// Destruct the graph writer.
+    /// This function destructs the graph writer.
     ~GraphWriter() {
       if (own_writer) 
@@ -148,7 +151,7 @@
     }
 
-    /// \brief Add a new node map writer command for the writer.
-    ///
-    /// Add a new node map writer command for the writer.
+    /// \brief Issue a new node map writing command for the writer.
+    ///
+   /// This function issues a new <i> node map writing command</i> to the writer.
     template <typename Map>
     GraphWriter& writeNodeMap(std::string name, const Map& map) {
@@ -157,7 +160,7 @@
     }
 
-    /// \brief Add a new node map writer command for the writer.
-    ///
-    /// Add a new node map writer command for the writer.
+    /// \brief Issue a new node map writing command for the writer.
+    ///
+   /// This function issues a new <i> node map writing command</i> to the writer.
     template <typename Writer, typename Map>
     GraphWriter& writeNodeMap(std::string name, const Map& map, 
@@ -168,7 +171,7 @@
 
 
-    /// \brief Add a new edge map writer command for the writer.
-    ///
-    /// Add a new edge map writer command for the writer.
+    /// \brief Issue a new edge map writing command for the writer.
+    ///
+   /// This function issues a new <i> edge map writing command</i> to the writer.
     template <typename Map>
     GraphWriter& writeEdgeMap(std::string name, const Map& map) { 
@@ -178,7 +181,7 @@
 
 
-    /// \brief Add a new edge map writer command for the writer.
-    ///
-    /// Add a new edge map writer command for the writer.
+    /// \brief Issue a new edge map writing command for the writer.
+    ///
+   /// This function issues a new <i> edge map writing command</i> to the writer.
     template <typename Writer, typename Map>
     GraphWriter& writeEdgeMap(std::string name, const Map& map,
@@ -188,7 +191,8 @@
     }
 
-    /// \brief Add a new labeled node writer for the writer.
-    ///
-    /// Add a new labeled node writer for the writer.
+    /// \brief Issue a new labeled node writing command to the writer.
+    ///
+    /// This function issues a new <i> labeled node writing command</i> 
+    /// to the writer.
     GraphWriter& writeNode(std::string name, const Node& node) {
       node_writer.writeNode(name, node);
@@ -196,14 +200,16 @@
     }
 
-    /// \brief Add a new labeled edge writer for the writer.
-    ///
-    /// Add a new labeled edge writer for the writer.
+    /// \brief Issue a new labeled edge writing command to the writer.
+    ///
+    /// This function issues a new <i> labeled edge writing command</i> 
+    /// to the writer.
     GraphWriter& writeEdge(std::string name, const Edge& edge) {
       edge_writer.writeEdge(name, edge);
     }
 
-    /// \brief Add a new attribute writer command.
-    ///
-    ///  Add a new attribute writer command.
+    /// \brief Issue a new attribute writing command.
+    ///
+    /// This function issues a new <i> attribute writing command</i> 
+    /// to the writer.
     template <typename Value>
     GraphWriter& writeAttribute(std::string name, const Value& value) {
@@ -212,7 +218,8 @@
     }
     
-    /// \brief Add a new attribute writer command.
-    ///
-    ///  Add a new attribute writer command.
+    /// \brief Issue a new attribute writing command.
+    ///
+    /// This function issues a new <i> attribute writing command</i> 
+    /// to the writer.
     template <typename Writer, typename Value>
     GraphWriter& writeAttribute(std::string name, const Value& value, 
@@ -224,5 +231,5 @@
     /// \brief Conversion operator to LemonWriter.
     ///
-    /// Conversion operator to LemonWriter. It make possible
+    /// Conversion operator to LemonWriter. It makes possible
     /// to access the encapsulated \e LemonWriter, this way
     /// you can attach to this writer new instances of 
@@ -232,7 +239,7 @@
     }
 
-    /// \brief Executes the writer commands.
-    ///
-    /// Executes the writer commands.
+    /// \brief Executes the writing commands.
+    ///
+    /// Executes the writing commands.
     void run() {
       writer->run();
@@ -242,5 +249,5 @@
     ///
     /// It writes the id of the given node. If there was written an "id"
-    /// named node map then it will write the map value belongs to the node.
+    /// named node map then it will write the map value belonging to the node.
     void writeId(std::ostream& os, const Node& item) const {
       nodeset_writer.writeId(os, item);
@@ -250,5 +257,5 @@
     ///
     /// It writes the id of the given edge. If there was written an "id"
-    /// named edge map then it will write the map value belongs to the edge.
+    /// named edge map then it will write the map value belonging to the edge.
     void writeId(std::ostream& os, const Edge& item) const {
       edgeset_writer.writeId(os, item);
@@ -374,5 +381,5 @@
   ///
   /// The \c UndirGraphWriter class provides the undir graph output. To write 
-  /// a graph you should first give writing commands for the writer. You can 
+  /// a graph you should first give writing commands to the writer. You can 
   /// declare write command as \c NodeMap, \c EdgeMap or \c UndirEdgeMap 
   /// writing and labeled Node, Edge or UndirEdge writing.
@@ -417,5 +424,5 @@
   ///
   /// With \c writeNode() and \c writeUndirEdge() functions you can 
-  /// point out nodes and undirected edges in the graph. By example, you can 
+  /// designate nodes and undirected edges in the graph. For example, you can 
   /// write out the source and target of the graph.
   ///
@@ -428,5 +435,5 @@
   ///
   /// After you give all write commands you must call the \c run() member
-  /// function, which execute all the writer commands.
+  /// function, which executes all the writing commands.
   ///
   /// \code
@@ -466,5 +473,5 @@
     /// \brief Construct a new UndirGraphWriter.
     ///
-    /// Construct a new UndirGraphWriter. It writes into the given graph
+    /// Construct a new UndirGraphWriter. It writes the given graph
     /// to the given file.
     UndirGraphWriter(const std::string& _filename, const Graph& _graph) 
@@ -478,5 +485,5 @@
     /// \brief Construct a new UndirGraphWriter.
     ///
-    /// Construct a new UndirGraphWriter. It writes into the given graph
+    /// Construct a new UndirGraphWriter. It writes the given graph
     /// to given LemonReader.
     UndirGraphWriter(LemonWriter& _writer, const Graph& _graph)
@@ -496,7 +503,7 @@
     }
 
-    /// \brief Add a new node map writer command for the writer.
-    ///
-    /// Add a new node map writer command for the writer.
+    /// \brief Issue a new node map writing command to the writer.
+    ///
+   /// This function issues a new <i> node map writing command</i> to the writer.
     template <typename Map>
     UndirGraphWriter& writeNodeMap(std::string name, const Map& map) {
@@ -505,7 +512,7 @@
     }
 
-    /// \brief Add a new node map writer command for the writer.
-    ///
-    /// Add a new node map writer command for the writer.
+    /// \brief Issue a new node map writing command to the writer.
+    ///
+   /// This function issues a new <i> node map writing command</i> to the writer.
     template <typename Writer, typename Map>
     UndirGraphWriter& writeNodeMap(std::string name, const Map& map, 
@@ -515,7 +522,7 @@
     }
 
-    /// \brief Add a new edge map writer command for the writer.
-    ///
-    /// Add a new edge map writer command for the writer.
+    /// \brief Issue a new edge map writing command to the writer.
+    ///
+   /// This function issues a new <i> edge map writing command</i> to the writer.
     template <typename Map>
     UndirGraphWriter& writeEdgeMap(std::string name, const Map& map) { 
@@ -524,7 +531,7 @@
     }
 
-    /// \brief Add a new edge map writer command for the writer.
-    ///
-    /// Add a new edge map writer command for the writer.
+    /// \brief Issue a new edge map writing command to the writer.
+    ///
+   /// This function issues a new <i> edge map writing command</i> to the writer.
     template <typename Writer, typename Map>
     UndirGraphWriter& writeEdgeMap(std::string name, const Map& map,
@@ -534,7 +541,8 @@
     }
 
-    /// \brief Add a new undirected edge map writer command for the writer.
-    ///
-    /// Add a new undirected edge map writer command for the writer.
+    /// \brief Issue a new undirected edge map writing command to the writer.
+    ///
+    /// This function issues a new <i> undirected edge map writing
+    /// command</i> to the writer.
     template <typename Map>
     UndirGraphWriter& writeUndirEdgeMap(std::string name, const Map& map) { 
@@ -543,7 +551,8 @@
     }
 
-    /// \brief Add a new undirected edge map writer command for the writer.
-    ///
-    /// Add a new edge undirected map writer command for the writer.
+    /// \brief Issue a new undirected edge map writing command to the writer.
+    ///
+    /// This function issues a new <i> undirected edge map writing
+    /// command</i> to the writer.
     template <typename Writer, typename Map>
     UndirGraphWriter& writeUndirEdgeMap(std::string name, const Map& map,
@@ -553,7 +562,8 @@
     }
 
-    /// \brief Add a new labeled node writer for the writer.
-    ///
-    /// Add a new labeled node writer for the writer.
+    /// \brief Issue a new labeled node writer to the writer.
+    ///
+    /// This function issues a new <i> labeled node writing
+    /// command</i> to the writer.
     UndirGraphWriter& writeNode(std::string name, const Node& node) {
       node_writer.writeNode(name, node);
@@ -561,21 +571,25 @@
     }
 
-    /// \brief Add a new labeled edge writer for the writer.
-    ///
-    /// Add a new labeled edge writer for the writer.
+    /// \brief Issue a new labeled edge writer to the writer.
+    ///
+    /// This function issues a new <i> labeled edge writing
+    /// command</i> to the writer.
     UndirGraphWriter& writeEdge(std::string name, const Edge& edge) {
       undir_edge_writer.writeEdge(name, edge);
     }
 
-    /// \brief Add a new labeled undirected edge writer for the writer.
-    ///
-    /// Add a new labeled undirected edge writer for the writer.
+    /// \brief Issue a new labeled undirected edge writing command to
+    /// the writer.
+    ///
+    /// Issue a new <i>labeled undirected edge writing command</i> to
+    /// the writer.
     UndirGraphWriter& writeUndirEdge(std::string name, const UndirEdge& edge) {
       undir_edge_writer.writeUndirEdge(name, edge);
     }
 
-    /// \brief Add a new attribute writer command.
-    ///
-    ///  Add a new attribute writer command.
+    /// \brief Issue a new attribute writing command.
+    ///
+    /// This function issues a new <i> attribute writing
+    /// command</i> to the writer.
     template <typename Value>
     UndirGraphWriter& writeAttribute(std::string name, const Value& value) {
@@ -584,7 +598,8 @@
     }
     
-    /// \brief Add a new attribute writer command.
-    ///
-    ///  Add a new attribute writer command.
+    /// \brief Issue a new attribute writing command.
+    ///
+    /// This function issues a new <i> attribute writing
+    /// command</i> to the writer.
     template <typename Writer, typename Value>
     UndirGraphWriter& writeAttribute(std::string name, const Value& value, 
@@ -596,5 +611,5 @@
     /// \brief Conversion operator to LemonWriter.
     ///
-    /// Conversion operator to LemonWriter. It make possible
+    /// Conversion operator to LemonWriter. It makes possible
     /// to access the encapsulated \e LemonWriter, this way
     /// you can attach to this writer new instances of 
@@ -604,7 +619,7 @@
     }
 
-    /// \brief Executes the writer commands.
-    ///
-    /// Executes the writer commands.
+    /// \brief Executes the writing commands.
+    ///
+    /// Executes the writing commands.
     void run() {
       writer->run();
@@ -614,5 +629,5 @@
     ///
     /// It writes the id of the given node. If there was written an "id"
-    /// named node map then it will write the map value belongs to the node.
+    /// named node map then it will write the map value belonging to the node.
     void writeId(std::ostream& os, const Node& item) const {
       nodeset_writer.writeId(os, item);
@@ -622,5 +637,5 @@
     ///
     /// It writes the id of the given edge. If there was written an "id"
-    /// named edge map then it will write the map value belongs to the edge.
+    /// named edge map then it will write the map value belonging to the edge.
     void writeId(std::ostream& os, const Edge& item) const {
       undir_edgeset_writer.writeId(os, item);
@@ -630,5 +645,5 @@
     ///
     /// It writes the id of the given undirected edge. If there was written 
-    /// an "id" named edge map then it will write the map value belongs to 
+    /// an "id" named edge map then it will write the map value belonging to 
     /// the edge.
     void writeId(std::ostream& os, const UndirEdge& item) const {
@@ -652,7 +667,9 @@
 
 
-  /// \brief Write an undirected graph to the output.
-  ///
-  /// Write an undirected graph to the output.
+  /// \brief Write an undirected multigraph (undirected graph + capacity
+  /// map on the edges) to the output.
+  ///
+  /// Write an undirected multigraph (undirected graph + capacity
+  /// map on the edges) to the output.
   /// \param os The output stream.
   /// \param g The graph.
